 SELECT *
    FROM ( SELECT /*+ full(a) */ M.MEM_NUM,
                   T.PROCESS_DT,
                   T.ROW_ID,
                   T.TYPE_CD,
                   T.SUB_TYPE_CD,
                   O.NAME,
                   O.LOY_PARTNER_CD,
                   T.TXN_DT,
                   P.NAME PROD,
                   T.ORIG_AIRPORT_CD,
                   T.DEST_AIRPORT_CD,
                   T.X_MKT_FLT_NBR,
                   T.BOOK_CLASS_CD,
                   T.NUM_POINTS,
                   SUM (I.ACCRUALED_VALUE) TOTALPTS,
                   T.STATUS_CD,
                   T.TICKET_NUM,
                   T.X_TKT_ALN_NBR,
                   M2.MEM_NUM TRANS_MEM_NUM,
                   T.X_TKT_CPN_NBR,
                   T.X_PRTNR_LOC,
                   T.TXN_CHANNEL_CD
              FROM SIEBEL.S_LOY_MEMBER M,
                   SIEBEL.S_LOY_TXN T,
                   SIEBEL.S_ORG_EXT O,
                   SIEBEL.S_PROD_INT P,
                   SIEBEL.S_LOY_ACRL_ITM I,
                   SIEBEL.S_LOY_ATTRDEFN A,
                   SIEBEL.S_LOY_MEMBER M2
             WHERE     M.ROW_ID = T.MEMBER_ID
                   AND T.PARTNER_ID = O.PAR_ROW_ID(+)
                   AND T.PROD_ID = P.ROW_ID(+)
                   AND A.INTERNAL_NAME = 'Point 5 Value'
                   AND I.ATTRIB_DEFN_ID = A.ROW_ID(+)
                   AND T.ROW_ID = I.TXN_ID
                   AND T.TRANSFER_MEM_ID = M2.ROW_ID(+)
                   AND M.MEM_NUM IN ('3900466',
                                     '3900245',
                                     '5000273',
                                     '100000235',
                                     '65049095',
                                     '200782374',
                                     '200782503',
                                     '55',
                                     '900000000255',
                                     '65646825',
                                     '97939590',
                                     '100364703',
                                     '30207096',
                                     '52920976',
                                     '21453',
                                     '4001',
                                     '7410082',
                                     '64386055',
                                     '10430092',
                                     '33500095',
                                     '23051066',
                                     '38038221',
                                     '200782676',
                                     '200004151',
                                     '64386055',
                                     '138622',
                                     '100000305',
                                     '100364342',
                                     '200001222',
                                     '100000235',
                                     '21865815',
                                     '100365226',
                                     '70991',
                                     '60826916',
                                     '100375133',
                                     '1674632',
                                     '80146684',
                                     '200782702',
                                     '50943686',
                                     '46855270')
          GROUP BY (M.MEM_NUM,
                    T.PROCESS_DT,
                    T.ROW_ID,
                    T.TYPE_CD,
                    T.SUB_TYPE_CD,
                    O.NAME,
                    O.LOY_PARTNER_CD,
                    T.TXN_DT,
                    P.NAME,
                    T.ORIG_AIRPORT_CD,
                    T.DEST_AIRPORT_CD,
                    T.X_MKT_FLT_NBR,
                    T.BOOK_CLASS_CD,
                    T.NUM_POINTS,
                    T.STATUS_CD,
                    T.TICKET_NUM,
                    T.X_TKT_ALN_NBR,
                    M2.MEM_NUM,
                    T.X_TKT_CPN_NBR,
                    T.X_PRTNR_LOC,
                    T.TXN_CHANNEL_CD)
          UNION
            SELECT  /*+ full(a) */ M.MEM_NUM,
                   T.PROCESS_DT,
                   T.ROW_ID,
                   T.TYPE_CD,
                   T.SUB_TYPE_CD,
                   O.NAME,
                   O.LOY_PARTNER_CD,
                   T.TXN_DT,
                   P.NAME PROD,
                   T.ORIG_AIRPORT_CD,
                   T.DEST_AIRPORT_CD,
                   T.X_MKT_FLT_NBR,
                   T.BOOK_CLASS_CD,
                   T.NUM_POINTS,
                   SUM (R.VALUE) TOTALPTS,
                   T.STATUS_CD,
                   T.TICKET_NUM,
                   T.X_TKT_ALN_NBR,
                   M2.MEM_NUM TRANS_MEM_NUM,
                   T.X_TKT_CPN_NBR,
                   T.X_PRTNR_LOC,
                   T.TXN_CHANNEL_CD
              FROM SIEBEL.S_LOY_MEMBER M,
                   SIEBEL.S_LOY_TXN T,
                   SIEBEL.S_ORG_EXT O,
                   SIEBEL.S_PROD_INT P,
                   SIEBEL.S_LOY_RDM_ITM R,
                   SIEBEL.S_LOY_ATTRDEFN A,
                   SIEBEL.S_LOY_MEMBER M2
             WHERE     M.ROW_ID = T.MEMBER_ID
                   AND T.PARTNER_ID = O.PAR_ROW_ID(+)
                   AND T.PROD_ID = P.ROW_ID(+)
                   AND A.INTERNAL_NAME = 'Point 5 Value'
                   AND R.ATTRB_DEFN_ID = A.ROW_ID(+)
                   AND T.ROW_ID = R.TXN_ID
                   AND T.TRANSFER_MEM_ID = M2.ROW_ID(+)
                   AND M.MEM_NUM IN ('3900466',
                                     '3900245',
                                     '5000273',
                                     '100000235',
                                     '65049095',
                                     '200782374',
                                     '200782503',
                                     '55',
                                     '900000000255',
                                     '65646825',
                                     '97939590',
                                     '100364703',
                                     '30207096',
                                     '52920976',
                                     '21453',
                                     '4001',
                                     '7410082',
                                     '64386055',
                                     '10430092',
                                     '33500095',
                                     '23051066',
                                     '38038221',
                                     '200782676',
                                     '200004151',
                                     '64386055',
                                     '138622',
                                     '100000305',
                                     '100364342',
                                     '200001222',
                                     '100000235',
                                     '21865815',
                                     '100365226',
                                     '70991',
                                     '60826916',
                                     '100375133',
                                     '1674632',
                                     '80146684',
                                     '200782702',
                                     '50943686',
                                     '46855270')
          GROUP BY (M.MEM_NUM,
                    T.PROCESS_DT,
                    T.ROW_ID,
                    T.TYPE_CD,
                    T.SUB_TYPE_CD,
                    O.NAME,
                    O.LOY_PARTNER_CD,
                    T.TXN_DT,
                    P.NAME,
                    T.ORIG_AIRPORT_CD,
                    T.DEST_AIRPORT_CD,
                    T.X_MKT_FLT_NBR,
                    T.BOOK_CLASS_CD,
                    T.NUM_POINTS,
                    T.STATUS_CD,
                    T.TICKET_NUM,
                    T.X_TKT_ALN_NBR,
                    M2.MEM_NUM,
                    T.X_TKT_CPN_NBR,
                    T.X_PRTNR_LOC,
                    T.TXN_CHANNEL_CD)
          UNION
            SELECT M.MEM_NUM,
                   T.PROCESS_DT,
                   T.ROW_ID,
                   T.TYPE_CD,
                   T.SUB_TYPE_CD,
                   O.NAME,
                   O.LOY_PARTNER_CD,
                   T.TXN_DT,
                   P.NAME PROD,
                   T.ORIG_AIRPORT_CD,
                   T.DEST_AIRPORT_CD,
                   T.X_MKT_FLT_NBR,
                   T.BOOK_CLASS_CD,
                   T.NUM_POINTS,
                   T.NUM_POINTS TOTALPTS,
                   T.STATUS_CD,
                   T.TICKET_NUM,
                   T.X_TKT_ALN_NBR,
                   M2.MEM_NUM TRANS_MEM_NUM,
                   T.X_TKT_CPN_NBR,
                   T.X_PRTNR_LOC,
                   T.TXN_CHANNEL_CD
              FROM SIEBEL.S_LOY_MEMBER M,
                   SIEBEL.S_LOY_TXN T,
                   SIEBEL.S_ORG_EXT O,
                   SIEBEL.S_PROD_INT P,
                   SIEBEL.S_LOY_ACRL_ITM I,
                   SIEBEL.S_LOY_RDM_ITM R,
                   SIEBEL.S_LOY_MEMBER M2
             WHERE     M.ROW_ID = T.MEMBER_ID
                   AND T.PARTNER_ID = O.PAR_ROW_ID(+)
                   AND T.PROD_ID = P.ROW_ID(+)
                   AND T.ROW_ID = R.TXN_ID(+)
                   AND T.ROW_ID = I.TXN_ID(+)
                   AND R.TXN_ID IS NULL
                   AND I.TXN_ID IS NULL
                   AND T.TRANSFER_MEM_ID = M2.ROW_ID(+)
                   AND M.MEM_NUM IN ('3900466',
                                     '3900245',
                                     '5000273',
                                     '100000235',
                                     '65049095',
                                     '200782374',
                                     '200782503',
                                     '55',
                                     '900000000255',
                                     '65646825',
                                     '97939590',
                                     '100364703',
                                     '30207096',
                                     '52920976',
                                     '21453',
                                     '4001',
                                     '7410082',
                                     '64386055',
                                     '10430092',
                                     '33500095',
                                     '23051066',
                                     '38038221',
                                     '200782676',
                                     '200004151',
                                     '64386055',
                                     '138622',
                                     '100000305',
                                     '100364342',
                                     '200001222',
                                     '100000235',
                                     '21865815',
                                     '100365226',
                                     '70991',
                                     '60826916',
                                     '100375133',
                                     '1674632',
                                     '80146684',
                                     '200782702',
                                     '50943686',
                                     '46855270')
          GROUP BY (M.MEM_NUM,
                    T.PROCESS_DT,
                    T.ROW_ID,
                    T.TYPE_CD,
                    T.SUB_TYPE_CD,
                    O.NAME,
                    O.LOY_PARTNER_CD,
                    T.TXN_DT,
                    P.NAME,
                    T.ORIG_AIRPORT_CD,
                    T.DEST_AIRPORT_CD,
                    T.X_MKT_FLT_NBR,
                    T.BOOK_CLASS_CD,
                    T.NUM_POINTS,
                    T.STATUS_CD,
                    T.TICKET_NUM,
                    T.X_TKT_ALN_NBR,
                    M2.MEM_NUM,
                    T.X_TKT_CPN_NBR,
                    T.X_PRTNR_LOC,
                    T.TXN_CHANNEL_CD)) S
ORDER BY S.MEM_NUM, S.TXN_DT DESC