--Author: Venkata Potluri
--Date: May 05, 2015

  SELECT  /*+ full(PR_RL_ID) parallel(PR_RL_ID,5) */ M.MEM_NUM,
         M.NAME,
         R.TXN_ID,
         R.ROW_ID,
         R.CREATED,
         R.CREATED_BY,
         R.LAST_UPD,
         R.LAST_UPD_BY,
         R.MODIFICATION_NUM,
         R.CONFLICT_ID,
         R.TYPE_CD,
         R.VALUE POINTS,
         R.ACCRUAL_ITEM_ID,
         R.PR_DEBT_PT PARTNER_POINTS,
         PR.NAME PROMOTION_NAME,
         PR_RL.NAME RULE,
         PR_RL.PROMO_ID,
         PR_RL_ID.PROMO_RULE_ID,
         R.COMMENTS
    FROM SIEBEL.S_LOY_RDM_ITM R
         INNER JOIN SIEBEL.S_LOY_MEMBER M ON R.MEMBER_ID = M.ROW_ID
         INNER JOIN SIEBEL.S_LOY_ACTCRTR PR_RL_ID
            ON R.ACTION_ID = PR_RL_ID.ROW_ID
         INNER JOIN SIEBEL.S_LOY_PROMO_RL PR_RL
            ON PR_RL_ID.PROMO_RULE_ID = PR_RL.ROW_ID
         INNER JOIN SIEBEL.S_LOY_PROMO PR ON PR_RL.PROMO_ID = PR.ROW_ID
   WHERE M.MEM_NUM IN ('3900466',
                       '3900245',
                       '5000273',
                       '100000235',
                       '65049095',
                       '200782374',
                       '200782503',
                       '55',
                       '900000000255',
                       '65646825',
                       '97939590',
                       '100364703',
                       '30207096',
                       '52920976',
                       '21453',
                       '4001',
                       '7410082',
                       '64386055',
                       '10430092',
                       '33500095',
                       '23051066',
                       '38038221',
                       '200782676',
                       '200004151',
                       '64386055',
                       '138622',
                       '100000305',
                       '100364342',
                       '200001222',
                       '100000235',
                       '21865815',
                       '100365226',
                       '70991',
                       '60826916',
                       '100375133',
                       '1674632',
                       '80146684',
                       '200782702',
                       '50943686',
                       '46855270')
ORDER BY MEM_NUM, R.TXN_ID DESC;