--Author: Venkata Potluri
--Date: May 19, 2015

DECLARE
   V_PURGE_DT   DATE;
BEGIN
   SELECT PURGE_DATE
     INTO V_PURGE_DT
     FROM SIEBEL_PURGE.PURGE_CONFIG
    WHERE ROW_ID = 1;

   EXECUTE IMMEDIATE
         'ALTER TABLE SIEBEL_PURGE.PURGE_LOG RENAME TO PURGE_LOG_'
      || TO_CHAR (V_PURGE_DT, 'MMDDYYYY');

   EXECUTE IMMEDIATE
         'ALTER TABLE SIEBEL_PURGE.PURGE_MEM_TXN RENAME TO PURGE_MEM_TXN_'
      || TO_CHAR (V_PURGE_DT, 'MMDDYYYY');

   EXECUTE IMMEDIATE
         'ALTER TABLE SIEBEL_PURGE.PURGE_MEM_REDEEMABLE RENAME TO PURGE_MEM_REDEEMABLE_'
      || TO_CHAR (V_PURGE_DT, 'MMDDYYYY');

   EXECUTE IMMEDIATE
         'ALTER TABLE SIEBEL_PURGE.PURGE_MEM_INFO RENAME TO PURGE_MEM_INFO_'
      || TO_CHAR (V_PURGE_DT, 'MMDDYYYY');

   EXECUTE IMMEDIATE
         'ALTER TABLE SIEBEL_PURGE.P_INT_S_LOY_RDM_ITM RENAME TO P_INT_S_LOY_RDM_ITM_'
      || TO_CHAR (V_PURGE_DT, 'MMDDYYYY');

   EXECUTE IMMEDIATE
         'ALTER TABLE SIEBEL_PURGE.P_INT_S_LOY_ATTR_ITM RENAME TO P_INT_S_LOY_ATTR_ITM_'
      || TO_CHAR (V_PURGE_DT, 'MMDDYYYY');

   EXECUTE IMMEDIATE
         'ALTER TABLE SIEBEL_PURGE.P_INT_S_CONTACT_XM RENAME TO P_INT_S_CONTACT_XM_'
      || TO_CHAR (V_PURGE_DT, 'MMDDYYYY');

   EXECUTE IMMEDIATE
         'ALTER TABLE SIEBEL_PURGE.RDM_REPORT RENAME TO RDM_REPORT_'
      || TO_CHAR (V_PURGE_DT, 'MMDDYYYY');

   EXECUTE IMMEDIATE
         'ALTER TABLE SIEBEL_PURGE.FIX_ACRL_MEM_ID RENAME TO FIX_ACRL_MEM_ID_'
      || TO_CHAR (V_PURGE_DT, 'MMDDYYYY');

   EXECUTE IMMEDIATE
         'ALTER TABLE SIEBEL_PURGE.FIX_REDM_MEM_ID RENAME TO FIX_REDM_MEM_ID_'
      || TO_CHAR (V_PURGE_DT, 'MMDDYYYY');

   --EXECUTE IMMEDIATE
   --      'ALTER TABLE SIEBEL_PURGE.PURGE_CONFIG RENAME TO PURGE_CONFIG_'
   --   || TO_CHAR (V_PURGE_DT, 'MMDDYYYY');

   EXECUTE IMMEDIATE 'DROP TABLE SIEBEL_PURGE.TEMP_TXN_MEM';

   EXECUTE IMMEDIATE 'DROP TABLE SIEBEL_PURGE.TEMP_TXN_XPF';
END;
/

QUIT